PlasticToolBarUI (JGoodies Looks 2.6 API)
Date: 2014-02-27

com.jgoodies.looks.plastic

## Class PlasticToolBarUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ToolBarUI
    - - javax.swing.plaf.basic.BasicToolBarUI
      - - javax.swing.plaf.metal.MetalToolBarUI
        - - com.jgoodies.looks.plastic.PlasticToolBarUI

- All Implemented Interfaces:
    SwingConstants
  Direct Known Subclasses:
    PlasticXPToolBarUI

      public class PlasticToolBarUI
      extends MetalToolBarUI

  The JGoodies Plastic look and feel implementation of `ToolBarUI`.

  Corrects the rollover borders and can handle optional `Border` types, as specified by the `BorderStyle` or `HeaderStyle` client properties.

  Version:
    $Revision: 1.12 $
  Author:
    Karsten Lentzsch

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.metal.MetalToolBarUI

      `MetalToolBarUI.MetalContainerListener, MetalToolBarUI.MetalDockingListener, MetalToolBarUI.MetalRolloverListener`

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicToolBarUI

      `BasicToolBarUI.DockingListener, BasicToolBarUI.DragWindow, BasicToolBarUI.FrameListener, BasicToolBarUI.PropertyListener, BasicToolBarUI.ToolBarContListener, BasicToolBarUI.ToolBarFocusListener`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.metal.MetalToolBarUI

      `contListener, rolloverListener`

    - ### Fields inherited from class javax.swing.plaf.basic.BasicToolBarUI

      `constraintBeforeFloating, dockingBorderColor, dockingColor, dockingListener, downKey, dragWindow, floatingBorderColor, floatingColor, focusedCompIndex, leftKey, propertyListener, rightKey, toolBar, toolBarContListener, toolBarFocusListener, upKey`

    - ### Fields inherited from interface javax.swing.SwingConstants

      `BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlasticToolBarUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Border` | `createRolloverBorder()`
    `static ComponentUI` | `createUI(JComponent b)`
    `protected void` | `installDefaults()` Installs a special border, if indicated by the `HeaderStyle`.
    `protected void` | `installListeners()`
    `protected void` | `setBorderToRollover(Component c)`
    `protected void` | `uninstallListeners()`
    `void` | `update(Graphics g, JComponent c)`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalToolBarUI

      `createContainerListener, createDockingListener, createNonRolloverBorder, createRolloverListener, installUI, setBorderToNonRollover, setDragOffset, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicToolBarUI

      `canDock, createDragWindow, createFloatingFrame, createFloatingWindow, createFrameListener, createPropertyListener, createToolBarContListener, createToolBarFocusListener, dragTo, floatAt, getDockingColor, getFloatingColor, getNonRolloverBorder, getRolloverBorder, installComponents, installKeyboardActions, installNonRolloverBorders, installNormalBorders, installRolloverBorders, isFloating, isRolloverBorders, navigateFocusedComp, paintDragWindow, setBorderToNormal, setDockingColor, setFloating, setFloatingColor, setFloatingLocation, setOrientation, setRolloverBorders, uninstallComponents, uninstallDefaults, uninstallKeyboardActions`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlasticToolBarUI

          public PlasticToolBarUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI(JComponent b)

    - #### createRolloverBorder

          protected Border createRolloverBorder()

      Overrides:
        `createRolloverBorder` in class `MetalToolBarUI`

    - #### setBorderToRollover

          protected void setBorderToRollover(Component c)

      Overrides:
        `setBorderToRollover` in class `BasicToolBarUI`

    - #### installDefaults

          protected void installDefaults()

      Installs a special border, if indicated by the `HeaderStyle`.
      Overrides:
        `installDefaults` in class `BasicToolBarUI`

    - #### installListeners

          protected void installListeners()

      Overrides:
        `installListeners` in class `MetalToolBarUI`

    - #### uninstallListeners

          protected void uninstallListeners()

      Overrides:
        `uninstallListeners` in class `MetalToolBarUI`

    - #### update

          public void update(Graphics g,
                    JComponent c)

      Overrides:
        `update` in class `MetalToolBarUI`

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.